de.caff.util

## Class ColorDecoder.Domain

- java.lang.Object
- - de.caff.util.ColorDecoder.Domain

- Enclosing class:
    ColorDecoder

      public static final class ColorDecoder.Domain
      extends java.lang.Object

  Private class use as a typed enum.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Domain(java.lang.String domain, java.util.Map<java.lang.String,java.awt.Color> mapping)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDomain()` Get the domain name.
    `(package private) java.awt.Color` | `mapName(java.lang.String name)` Get the color for a name.
    `java.lang.String` | `toString()` Returns a string representation of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Domain

          public Domain(@NotNull
                        java.lang.String domain,
                        @NotNull
                        java.util.Map<java.lang.String,java.awt.Color> mapping)

      Constructor.
      Parameters:
        `domain` - domain name
        `mapping` - map which contains the mapping of names to color fo this domain

  - ### Method Detail

    - #### getDomain

          @NotNull
          public java.lang.String getDomain()

      Get the domain name.
      Returns:
        domain name

    - #### mapName

          @Nullable
          java.awt.Color mapName(java.lang.String name)

      Get the color for a name.
      Parameters:
        `name` - color name
      Returns:
        matching color or `null` if name does not define a color in this domain

    - #### toString

          @NotNull
          public java.lang.String toString()

      Returns a string representation of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the object.